#pragma once

using namespace System;
using namespace System::Windows::Forms;
using namespace System::Collections::Generic;
using namespace System::Runtime::InteropServices;

#include "test_be.h"

namespace test
{

public ref class Test
{
  ::Test *_inner;

public:
  Test();
  void test_glitz(IntPtr hwnd);
  void test_cairo_win32(IntPtr hwnd);
  void test_cairo_glitz(IntPtr hwnd);
  void test_cairo_pdf();
  void test_cairo_ps();
  void test_cairo_png();
  void test_cairo_svg();
};

}